#include "part.h"

#define BALLNUM 4

class Ball : public Part {
public:

	static BITMAP *bmp, *bmpl, *bmpr;
	
	int hit;
	int hit2;
	int hit3;
	int hit4;
	
	int who;		
	
	bool out;
	bool in_charge;
	bool ghost;
	
	float xa;
	float ya;
	float num;

	Ball(float _xp, float _yp, float _R);
		
	void draw();	
	void load();
	
	void move(float d);
	
	void collide(Ball *other, float nx, float ny);
	bool ballcollision(Ball *b, float *nx, float *ny);
			
};

extern Ball *ball[BALLNUM];